> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequence.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# GetCollectible



## OpenAPI

````yaml sequence-marketplace.json post /rpc/Marketplace/GetCollectible
openapi: 3.0.0
info:
  title: Marketplace Api
  version: 0.0.1
servers:
  - url: https://marketplace-api.sequence.app/amoy/
    description: Amoy
  - url: https://marketplace-api.sequence.app/apechain-mainnet/
    description: Apechain Mainnet
  - url: https://marketplace-api.sequence.app/apechain-testnet/
    description: Apechain Testnet
  - url: https://marketplace-api.sequence.app/arbitrum/
    description: Arbitrum
  - url: https://marketplace-api.sequence.app/arbitrum-nova/
    description: Arbitrum Nova
  - url: https://marketplace-api.sequence.app/arbitrum-sepolia/
    description: Arbitrum Sepolia
  - url: https://marketplace-api.sequence.app/astar-zkevm/
    description: Astar zkEVM
  - url: https://marketplace-api.sequence.app/astar-zkyoto/
    description: Astar zKyoto
  - url: https://marketplace-api.sequence.app/avalanche/
    description: Avalanche
  - url: https://marketplace-api.sequence.app/avalanche-testnet/
    description: Avalanche Testnet
  - url: https://marketplace-api.sequence.app/b3/
    description: B3
  - url: https://marketplace-api.sequence.app/b3-sepolia/
    description: B3 Sepolia
  - url: https://marketplace-api.sequence.app/base/
    description: Base
  - url: https://marketplace-api.sequence.app/base-sepolia/
    description: Base Sepolia
  - url: https://marketplace-api.sequence.app/blast/
    description: Blast
  - url: https://marketplace-api.sequence.app/blast-sepolia/
    description: Blast Sepolia
  - url: https://marketplace-api.sequence.app/borne-testnet/
    description: Borne Testnet
  - url: https://marketplace-api.sequence.app/bsc/
    description: BSC
  - url: https://marketplace-api.sequence.app/bsc-testnet/
    description: BSC Testnet
  - url: https://marketplace-api.sequence.app/gnosis/
    description: Gnosis
  - url: https://marketplace-api.sequence.app/homeverse/
    description: Homeverse
  - url: https://marketplace-api.sequence.app/homeverse-testnet/
    description: Homeverse Testnet
  - url: https://marketplace-api.sequence.app/immutable-zkevm/
    description: Immutable zkEVM
  - url: https://marketplace-api.sequence.app/immutable-zkevm-testnet/
    description: Immutable zkEVM Testnet
  - url: https://marketplace-api.sequence.app/imx/
    description: IMX
  - url: https://marketplace-api.sequence.app/imx-testnet/
    description: IMX Testnet
  - url: https://marketplace-api.sequence.app/mainnet/
    description: Mainnet
  - url: https://marketplace-api.sequence.app/optimism/
    description: Optimism
  - url: https://marketplace-api.sequence.app/optimism-sepolia/
    description: Optimism Sepolia
  - url: https://marketplace-api.sequence.app/polygon/
    description: Polygon
  - url: https://marketplace-api.sequence.app/polygon-zkevm/
    description: Polygon zkEVM
  - url: https://marketplace-api.sequence.app/rootnet/
    description: Rootnet
  - url: https://marketplace-api.sequence.app/rootnet-porcini/
    description: Rootnet Porcini
  - url: https://marketplace-api.sequence.app/sepolia/
    description: Sepolia
  - url: https://marketplace-api.sequence.app/skale-nebula-testnet/
    description: SKALE Nebula Testnet
  - url: https://marketplace-api.sequence.app/soneium-minato/
    description: Soneium Minato
  - url: https://marketplace-api.sequence.app/toy-testnet/
    description: Toy Testnet
  - url: https://marketplace-api.sequence.app/xai/
    description: Xai
  - url: https://marketplace-api.sequence.app/xai-sepolia/
    description: Xai Sepolia
security:
  - ApiKeyAuth: []
paths:
  /rpc/Marketplace/GetCollectible:
    post:
      tags:
        - Marketplace
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Marketplace_GetCollectible_Request'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Marketplace_GetCollectible_Response'
        4XX:
          description: Client error
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ErrorWebrpcEndpoint'
                  - $ref: '#/components/schemas/ErrorWebrpcRequestFailed'
                  - $ref: '#/components/schemas/ErrorWebrpcBadRoute'
                  - $ref: '#/components/schemas/ErrorWebrpcBadMethod'
                  - $ref: '#/components/schemas/ErrorWebrpcBadRequest'
                  - $ref: '#/components/schemas/ErrorWebrpcClientDisconnected'
                  - $ref: '#/components/schemas/ErrorWebrpcStreamLost'
                  - $ref: '#/components/schemas/ErrorUnauthorized'
                  - $ref: '#/components/schemas/ErrorPermissionDenied'
                  - $ref: '#/components/schemas/ErrorSessionExpired'
                  - $ref: '#/components/schemas/ErrorMethodNotFound'
                  - $ref: '#/components/schemas/ErrorTimeout'
                  - $ref: '#/components/schemas/ErrorInvalidArgument'
                  - $ref: '#/components/schemas/ErrorNotFound'
                  - $ref: '#/components/schemas/ErrorUserNotFound'
                  - $ref: '#/components/schemas/ErrorProjectNotFound'
                  - $ref: '#/components/schemas/ErrorInvalidTier'
                  - $ref: '#/components/schemas/ErrorProjectLimitReached'
        5XX:
          description: Server error
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ErrorWebrpcBadResponse'
                  - $ref: '#/components/schemas/ErrorWebrpcServerPanic'
                  - $ref: '#/components/schemas/ErrorWebrpcInternalError'
                  - $ref: '#/components/schemas/ErrorNotImplemented'
      security:
        - ApiKeyAuth:
            - AQAAAAAAAEGvyZiWA9FMslYeG_yayXaHnSI
components:
  schemas:
    Marketplace_GetCollectible_Request:
      type: object
      properties:
        contractAddress:
          type: string
        tokenId:
          type: string
    Marketplace_GetCollectible_Response:
      type: object
      properties:
        metadata:
          $ref: '#/components/schemas/TokenMetadata'
    ErrorWebrpcEndpoint:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcEndpoint
        code:
          type: number
          example: 0
        msg:
          type: string
          example: endpoint error
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcRequestFailed:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcRequestFailed
        code:
          type: number
          example: -1
        msg:
          type: string
          example: request failed
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcBadRoute:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadRoute
        code:
          type: number
          example: -2
        msg:
          type: string
          example: bad route
        cause:
          type: string
        status:
          type: number
          example: 404
    ErrorWebrpcBadMethod:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadMethod
        code:
          type: number
          example: -3
        msg:
          type: string
          example: bad method
        cause:
          type: string
        status:
          type: number
          example: 405
    ErrorWebrpcBadRequest:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadRequest
        code:
          type: number
          example: -4
        msg:
          type: string
          example: bad request
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcClientDisconnected:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcClientDisconnected
        code:
          type: number
          example: -8
        msg:
          type: string
          example: client disconnected
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcStreamLost:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcStreamLost
        code:
          type: number
          example: -9
        msg:
          type: string
          example: stream lost
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorUnauthorized:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Unauthorized
        code:
          type: number
          example: 1000
        msg:
          type: string
          example: Unauthorized access
        cause:
          type: string
        status:
          type: number
          example: 401
    ErrorPermissionDenied:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: PermissionDenied
        code:
          type: number
          example: 1001
        msg:
          type: string
          example: Permission denied
        cause:
          type: string
        status:
          type: number
          example: 403
    ErrorSessionExpired:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: SessionExpired
        code:
          type: number
          example: 1002
        msg:
          type: string
          example: Session expired
        cause:
          type: string
        status:
          type: number
          example: 403
    ErrorMethodNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: MethodNotFound
        code:
          type: number
          example: 1003
        msg:
          type: string
          example: Method not found
        cause:
          type: string
        status:
          type: number
          example: 404
    ErrorTimeout:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Timeout
        code:
          type: number
          example: 2000
        msg:
          type: string
          example: Request timed out
        cause:
          type: string
        status:
          type: number
          example: 408
    ErrorInvalidArgument:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: InvalidArgument
        code:
          type: number
          example: 2001
        msg:
          type: string
          example: Invalid argument
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: NotFound
        code:
          type: number
          example: 3000
        msg:
          type: string
          example: Resource not found
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorUserNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: UserNotFound
        code:
          type: number
          example: 3001
        msg:
          type: string
          example: User not found
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorProjectNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: ProjectNotFound
        code:
          type: number
          example: 3002
        msg:
          type: string
          example: Project not found
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorInvalidTier:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: InvalidTier
        code:
          type: number
          example: 3003
        msg:
          type: string
          example: Invalid subscription tier
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorProjectLimitReached:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: ProjectLimitReached
        code:
          type: number
          example: 3005
        msg:
          type: string
          example: Project limit reached
        cause:
          type: string
        status:
          type: number
          example: 402
    ErrorWebrpcBadResponse:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadResponse
        code:
          type: number
          example: -5
        msg:
          type: string
          example: bad response
        cause:
          type: string
        status:
          type: number
          example: 500
    ErrorWebrpcServerPanic:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcServerPanic
        code:
          type: number
          example: -6
        msg:
          type: string
          example: server panic
        cause:
          type: string
        status:
          type: number
          example: 500
    ErrorWebrpcInternalError:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcInternalError
        code:
          type: number
          example: -7
        msg:
          type: string
          example: internal error
        cause:
          type: string
        status:
          type: number
          example: 500
    ErrorNotImplemented:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: NotImplemented
        code:
          type: number
          example: 9999
        msg:
          type: string
          example: Not Implemented
        cause:
          type: string
        status:
          type: number
          example: 500
    TokenMetadata:
      type: object
      required:
        - tokenId
        - name
        - attributes
      properties:
        tokenId:
          type: string
        name:
          type: string
        description:
          type: string
        image:
          type: string
        video:
          type: string
        audio:
          type: string
        properties:
          type: object
          description: map<string,any>
          additionalProperties:
            type: object
        attributes:
          type: array
          description: '[]map<string,any>'
          items:
            type: object
            description: map<string,any>
            additionalProperties:
              type: object
        imageData:
          type: string
        externalUrl:
          type: string
        backgroundColor:
          type: string
        animationUrl:
          type: string
        decimals:
          type: number
        updatedAt:
          type: string
        assets:
          type: array
          description: '[]Asset'
          items:
            $ref: '#/components/schemas/Asset'
    Asset:
      type: object
      required:
        - id
        - collectionId
        - tokenId
        - metadataField
      properties:
        id:
          type: number
        collectionId:
          type: number
        tokenId:
          type: string
        url:
          type: string
        metadataField:
          type: string
        filename:
          type: string
        filesize:
          type: number
        mimeType:
          type: string
        width:
          type: number
        height:
          type: number
        updatedAt:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      description: >-
        Public project access key for authenticating requests obtained on
        Sequence Builder. Example Test Key: AQAAAAAAAEGvyZiWA9FMslYeG_yayXaHnSI
      name: X-Access-Key
      x-example: AQAAAAAAAEGvyZiWA9FMslYeG_yayXaHnSI

````